site_name: 0_timeline
site_description: Building technology for the common good
site_url: https://0_timeline.org

extra_css:
  - stylesheets/extra.css

extra_javascript:
  - javascripts/extra.js

theme:
  name: material
  custom_dir: overrides
  features:
    - navigation.instant
    - navigation.sections
    - navigation.expand
    - content.hero
    - toggle
  logo: assets/smartup icon white.png
  favicon: assets/flavicon.png
  palette:
    - scheme: default
      primary: amber
      accent: lime
      toggle:
        icon: material/brightness-4
        name: Switch to dark mode
    - scheme: slate
      primary: amber
      accent: lime
      toggle:
        icon: material/brightness-7
        name: Switch to light mode

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - attr_list
  - md_in_html
  - footnotes
  - def_list
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.highlight
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.blocks.caption


nav:
  - Home: index.md
  - The Observation: 0_timeline/the-observation.md
  - The Hypothesis: 0_timeline/the-smartup-hypothesis.md
  - The Experiment: 0_timeline/the-experiment.md
  - Project History: 0_timeline/history.md
  - '---': '' # This creates a visual separator in the navigation
  - 'Smartup Zero: The First Smartup - Building ONLIFE':
    - '1. Our General Forum': smartup-zero/1_general_forum.md
    - '2. Our Workplace': smartup-zero/2_workplace.md
    - '3. Our Teams': smartup-zero/3_teams.md
    - '4. Our Roles': smartup-zero/4_roles.md
    - '5. Our Objectives': smartup-zero/5_objectives.md
    - '6. Our Tasks': smartup-zero/6_tasks.md

plugins:
  - search
  - awesome-pages
  - git-revision-date
  - glightbox

